CA Gen EDGE

IBM WebSphere Application Server (WAS) 9.0 Certification

By SteveSolomon posted 12-09-2016 04:37 PM

  

Dear CA Gen EDGE Community, 

 

The CA Gen Engineering team is pleased to announce support for IBM WebSphere Application Server Release 9.0 for CA Gen Release 8.6.  Please take note we have uncovered an issue with IBM WAS 9.0.  We have reported it to IBM and expect IBM will fix this issue in the near future.  

 

In the meantime please be aware:

 

With IBM WebSphere Application Server 9.0 (Fixpack 9.0.0.0), CA Gen Custom Web service cannot be deployed in the application server, when an EJB Web Service and a Custom Web Service are packaged together; WebSphere 9.0 is not able to start the EJB Web Service. 

The following steps can  be used as a workaround for WebSphere 9.0:

  1. Remove the Custom Web Service dependency from the EJB Web Service JAR file using the following steps:
    1. The assembled EAR contains a JAR file named using the server load module. For example, WEBAPSVR.jar.
    2. Open this JAR file and edit META-INF/MANIFEST.MF. Remove <Custom_Web_Service>.war entry from "Class-Path”.
    3. Deploy the application in WebSphere 9.0
  2. After deploying the EAR file, the WAR file loading option has to be set to “Application” from the WebSphere console application.

 

The CA Gen Release 8.6 documentation has been updated on the DocOpts website at: Third-Party Software Version - CA Gen - 8.6 - CA Technologies Documentation 

 

Steve...

CA Gen Product Manager

1 comment
0 views

Comments

01-08-2017 01:20 AM

Please what is the IBM WAS 9.0. Platform  CA GEn8.6 certified 

My client plan to use IBM WAS 9.0 on Z/OS

Does it support and certified?